/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ClaseservicioEquivalenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.ClaseservicioEquivalencia;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import com.rjconsultores.ventaboletos.service.ClaseservicioEquivalenciaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("claseservicioEquivalenciaService")
public class ClaseservicioEquivalenciaServiceImpl
        implements ClaseservicioEquivalenciaService {

    @Autowired
    private ClaseservicioEquivalenciaDAO claseservicioEquivalenciaDAO;

    public List<ClaseservicioEquivalencia> obtenerTodos() {
        return claseservicioEquivalenciaDAO.obtenerTodos();
    }

    public ClaseservicioEquivalencia obtenerID(Integer id) {
        return claseservicioEquivalenciaDAO.obtenerID(id);
    }

    @Transactional
    public ClaseservicioEquivalencia suscribir(ClaseservicioEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return claseservicioEquivalenciaDAO.suscribir(entidad);
    }

    @Transactional
    public ClaseservicioEquivalencia actualizacion(ClaseservicioEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return claseservicioEquivalenciaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ClaseservicioEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        claseservicioEquivalenciaDAO.actualizacion(entidad);
    }

    public List<ClaseservicioEquivalencia> buscar(ClaseServicio claseServicio, ComisionistaExterno comisionistaExterno) {
        return claseservicioEquivalenciaDAO.buscar(claseServicio, comisionistaExterno);
    }

    public List<ClaseservicioEquivalencia> buscarEquivalencia(ClaseservicioEquivalencia claseServicioEquivalencia) {
        return claseservicioEquivalenciaDAO.buscarEquivalencia(claseServicioEquivalencia);
    }
}
